Get full report
curl --request GET \
--url https://api.atatus.com/v2/projects/{projectId}/reports \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.atatus.com/v2/projects/{projectId}/reports"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.atatus.com/v2/projects/{projectId}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atatus.com/v2/projects/{projectId}/reports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.atatus.com/v2/projects/{projectId}/reports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.atatus.com/v2/projects/{projectId}/reports")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.atatus.com/v2/projects/{projectId}/reports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"apdex": {
"page": {
"satisfied": 447,
"tolerated": 133,
"frustrated": 5,
"total": 585,
"score": 0.87
}
},
"pages": {
"page": {
"loadTime": 3559.59,
"renderTime": 1802.37,
"networkTime": 501.46,
"domTime": 1255.76,
"frontendTime": 3058.13,
"throughput": 585,
"percentile_50": 2452.87,
"percentile_75": 4864,
"percentile_90": 6189.8,
"percentile_95": 8695.8,
"percentile_99": 18812.08
},
"throughput": 585
},
"ajax": {
"totalTime": 2413.36,
"responseTime": 2413.35,
"callbackTime": 0.01,
"receivedSize": 12585.85,
"sentSize": 8.79,
"errorCount": 183,
"errorRate": 1.58,
"throughput": 11556,
"percentile_50": 884.27,
"percentile_75": 1542.67,
"percentile_90": 3470.1,
"percentile_95": 9834.26,
"percentile_99": 33381.95
},
"transactions": {
"successTime": 435.52,
"failureTime": 234.45,
"successCount": 44,
"failureCount": 20,
"totalCount": 64
},
"errors": {
"errors": 18,
"events": 115,
"device": {
"mobile": 3,
"desktop": 112
}
}
}Reports
Get full report
Returns a full report on the errors and performance of a project for a time range. The response shape depends on the project type: browser or APM.
GET
/
projects
/
{projectId}
/
reports
Get full report
curl --request GET \
--url https://api.atatus.com/v2/projects/{projectId}/reports \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.atatus.com/v2/projects/{projectId}/reports"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.atatus.com/v2/projects/{projectId}/reports', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.atatus.com/v2/projects/{projectId}/reports",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.atatus.com/v2/projects/{projectId}/reports"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.atatus.com/v2/projects/{projectId}/reports")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.atatus.com/v2/projects/{projectId}/reports")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"apdex": {
"page": {
"satisfied": 447,
"tolerated": 133,
"frustrated": 5,
"total": 585,
"score": 0.87
}
},
"pages": {
"page": {
"loadTime": 3559.59,
"renderTime": 1802.37,
"networkTime": 501.46,
"domTime": 1255.76,
"frontendTime": 3058.13,
"throughput": 585,
"percentile_50": 2452.87,
"percentile_75": 4864,
"percentile_90": 6189.8,
"percentile_95": 8695.8,
"percentile_99": 18812.08
},
"throughput": 585
},
"ajax": {
"totalTime": 2413.36,
"responseTime": 2413.35,
"callbackTime": 0.01,
"receivedSize": 12585.85,
"sentSize": 8.79,
"errorCount": 183,
"errorRate": 1.58,
"throughput": 11556,
"percentile_50": 884.27,
"percentile_75": 1542.67,
"percentile_90": 3470.1,
"percentile_95": 9834.26,
"percentile_99": 33381.95
},
"transactions": {
"successTime": 435.52,
"failureTime": 234.45,
"successCount": 44,
"failureCount": 20,
"totalCount": 64
},
"errors": {
"errors": 18,
"events": 115,
"device": {
"mobile": 3,
"desktop": 112
}
}
}Authorizations
Your Atatus API key. You can also send it as the api_key query parameter or, for POST/PUT requests, in the request body.
Path Parameters
Query Parameters
The time duration. Example: 30m, 60m, 6h, 12h, 1d, 2d, 3d, 7d, 14d, 1M
Instead of timeDur, you can give custom timeStart and timeEnd. Format: YYYY-MM-DD+HH:mm Eg: timeStart=2020-03-01+00:00&timeEnd=2020-03-06+00:00
Instead of timeDur, you can give custom timeStart and timeEnd. Format: YYYY-MM-DD+HH:mm Eg: timeStart=2020-03-01+00:00&timeEnd=2020-03-06+00:00
Response
Success
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes